Author Topic: Xine, x264, VC1 (mkv), and VDPAU  (Read 9973 times)

phenigma

  • wants to work for LinuxMCE
  • **
  • Posts: 976
    • View Profile
Re: Xine, x264, VC1 (mkv), and VDPAU
« Reply #45 on: September 27, 2010, 03:14:28 am »
That's an older version than lmce is using now.

Code: [Select]
$ sudo apt-cache policy libxine1
libxine1:
  Installed: 1.1.16.4-0ubuntu6-lmce-1
  Candidate: 1.1.16.4-0ubuntu6-lmce-1
  Version table:
 *** 1.1.16.4-0ubuntu6-lmce-1 0
        500 file: ./ Packages
        500 http://deb.linuxmce.org intrepid/beta2 Packages
        100 /var/lib/dpkg/status
     1.1.15-0ubuntu3.3 0
        500 http://ca.archive.ubuntu.com intrepid-updates/main Packages
        500 http://security.ubuntu.com intrepid-security/main Packages
     1.1.15-0ubuntu3 0
        500 http://ca.archive.ubuntu.com intrepid/main Packages
        500 http://archive.ubuntu.com intrepid/main Packages

A dist-upgrade should bring it up to date.
Code: [Select]

# apt-get update
# apt-get dist-upgrade

J.

ferguscan

  • Newbie
  • *
  • Posts: 11
    • View Profile
Re: Xine, x264, VC1 (mkv), and VDPAU
« Reply #46 on: September 27, 2010, 06:43:16 am »
Quote
root@moon97:~# apt-get dist-upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
root@moon97:~#

Quote
root@moon97:~# apt-cache policy libxine1
libxine1:
  Installed: 1.1.16.3-0ubuntu2~xine-vdpau~intrepid~ppa2
  Candidate: 1.1.16.3-0ubuntu2~xine-vdpau~intrepid~ppa2
  Version table:
     1.1.16.4-0ubuntu6-lmce-1 0
        500 http://deb.linuxmce.org intrepid/beta2 Packages
 *** 1.1.16.3-0ubuntu2~xine-vdpau~intrepid~ppa2 0
       9999 file: ./ Packages
        100 /var/lib/dpkg/status
     1.1.15-0ubuntu3.3 0
        500 http://au.archive.ubuntu.com intrepid-updates/main Packages
        500 http://security.ubuntu.com intrepid-security/main Packages
     1.1.15-0ubuntu3 0
        500 http://au.archive.ubuntu.com intrepid/main Packages
        500 http://archive.ubuntu.com intrepid/main Packages
root@moon97:~#

Hmmm... I wonder why it's being kept back.

Note that when I remove this line from my sources.list:

Quote
deb file:/usr/pluto/deb-cache/ ./

I get this:

Quote
root@moon97:~# apt-get dist-upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages will be REMOVED:
  libxine1-bin libxine1-console libxine1-ffmpeg libxine1-misc-plugins
  libxine1-x
The following NEW packages will be installed:
  linux-image-2.6.27-15-generic
The following packages will be upgraded:
  libxine1 libxine1-xvdr linux-image-diskless lmce-launch-manager
  lmce-mythtv-scripts lmce-update-system pluto-add-software pluto-app-server
  pluto-avwizard pluto-boot-scripts pluto-capture-card-scripts pluto-dcecommon
  pluto-disk-drive pluto-libresolution pluto-messagesend pluto-mplayer-player
  pluto-orbiter pluto-photo-screen-saver pluto-pluto-main-db pluto-plutoutils
  pluto-pnp-detection pluto-serializeclass pluto-shiftstate pluto-simplephone
  pluto-storage-devices pluto-x-scripts pluto-xine-player xineliboutput-sxfe
28 upgraded, 1 newly installed, 5 to remove and 0 not upgraded.
Need to get 102MB of archives.
After this operation, 97.2MB of additional disk space will be used.
Do you want to continue [Y/n]?

But I assume that sources.list line should be there?

I have always had issues with package management with this LMCE installation (not just this MD, but the core also).  When I go into "Software Packages" in the Setup Wizard, I get a blank list.  I think it somehow ties into the fact that my internet connection wasn't working when I did my initial core install.

Stuart

ferguscan

  • Newbie
  • *
  • Posts: 11
    • View Profile
Re: Xine, x264, VC1 (mkv), and VDPAU
« Reply #47 on: September 27, 2010, 07:22:32 am »
OK, so it seems the problem lies in my local cache having a priority of 9999, whereas yours is only 500.

I look in /etc/apt/preferences, and find:

Code: [Select]
Package: *
Pin: origin
Pin-Priority: 9999

Package: *
Pin: release v=8.10,o=Ubuntu,a=hardy,l=Ubuntu
Pin-Priority: 9998

I assume yours is different?  Why does mine look like that?

Also, my core has the following preferences:

Code: [Select]
# We take MythTV from our repo always
Package: mythtv mythtv-frontend mythtv-backend mythtv-common mythtv-database mythtv-transcode-utils mythweb libmythtv-perl libmyth python-myth mythtv-themes mythplugins mytharchive mytharchive-data mythbrowser mythgallery mythgame mythmovies mythmusic mythnetvison mythnetvision-data mythnews mythvideo mythweather mythzoneminder myth-doc
Pin: origin deb.linuxmce.org
Pin-Priority: 1001

# If our local package uses the same version as elsewhere, we take the one we have locally.
Package: *
Pin: origin
Pin-Priority: 600

It has the latest libxine1

So the problem is isolated to my MD.  Should I simply change the preferences?  I don't want to break anything that might depend on those preferences.

Thanks,

Stuart

EDIT: of further interest is that the core has the latest libxine1 installed, but it's not in the cache directory.  Hmm....
« Last Edit: September 27, 2010, 07:29:16 am by ferguscan »

phenigma

  • wants to work for LinuxMCE
  • **
  • Posts: 976
    • View Profile
Re: Xine, x264, VC1 (mkv), and VDPAU
« Reply #48 on: September 27, 2010, 01:23:17 pm »
You have an old preferences files installed.  

Edit them on the core and the MDs look like this:
Code: [Select]
Package: mythtv mythtv-frontend mythtv-backend mythtv-common mythtv-database mythtv-transcode-utils mythweb libmythtv-perl libmyth python-myth mythtv-themes mythplugins mytharchive mytharchive-data mythbrowser mythgallery mythgame mythmovies mythmusic mythnetvison mythnetvision-data mythnews mythvideo mythweather mythzoneminder myth-doc
Pin: origin deb.linuxmce.org
Pin-Priority: 1001

Once you've altered the file on the core any MDs you create in the future will have the correct preferences file.  The lastest libxine1 is not in the deb-cache because it was downloaded after initial installation.  Currently the deb-cache is kept updated after the initial installation.  Your MD will grab the proper packages if you alter the preferences files as shown above.

J
« Last Edit: September 27, 2010, 01:30:53 pm by phenigma »

phenigma

  • wants to work for LinuxMCE
  • **
  • Posts: 976
    • View Profile
Re: Xine, x264, VC1 (mkv), and VDPAU
« Reply #49 on: September 27, 2010, 01:29:24 pm »
But I assume that sources.list line should be there?

Yes it should be there, the preferences file is the culprit.

I have always had issues with package management with this LinuxMCE installation (not just this MD, but the core also).  When I go into "Software Packages" in the Setup Wizard, I get a blank list.  I think it somehow ties into the fact that my internet connection wasn't working when I did my initial core install.

This is normal, there is nothing currently listed under 'Software Packages' in 0810.

J.